IPCMK(1)

BEZEICHNUNG
ipcmk - verschiedene IPC-Ressourcen erzeugen

ÜBERSICHT
ipcmk [Optionen]

BESCHREIBUNG
ipcmk ermöglicht Ihnen die Erzeugung gemeinsam genutzter Speicherbereiche, Nachrichtenwarteschlangen oder Semaphor-Felder.

OPTIONEN

Ressourcen können wie folgt angegeben werden:

-M, --shmem Größe
    erzeugt einen gemeinsam genutzten Speicherbereich mit Größe Byte. Auf das Argument Größe können die binären (2^N) Suffixe KiB (=1024), MiB (=1024*1024) und so weiter für GiB etc. folgen (das »iB« ist optional, so dass zum Beispiel »K« gleichbedeutend mit »KiB« ist) oder die dezimalen Suffixe KB (=1000), MB (=1000*1000) und so weiter für GB etc.

-Q, --queue
    erstellt eine Nachrichtenwarteschlange.

-S, --semaphore Anzahl
    erzeugt ein Semaphor-Feld mit Anzahl Elementen.

Weitere Optionen sind:

-p, --mode Modus
    setzt die Zugriffsrechte für die Ressource (Vorgabe ist 0644).

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

-h, --help
    zeigt diese Hilfe an und beendet das Programm.

SIEHE AUCH
ipcrm(1), ipcs(1)

AUTOR
Hayden A. James (hayden.james@gmail.com)

VERFÜGBARKEIT
Der Befehl ipcmk ist Teil des Pakets util-linux, welches aus dem Linux Kernel-Archiv (ftp://ftp.kernel.org/pub/linux/utils/util-linux/). heruntergeladen werden kann.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.